import { IsBoolean } from "class-validator";
import { ChildEntity, Column } from "typeorm";
import { Participant } from "./Participant";

/**
 * Defines the Donor entity.
*/
@ChildEntity()
export class Donor extends Participant {
  /**
   * Does this donor need a receipt?
   * Will later be used to automaticly generate donation receipts.
   */
  @Column()
  @IsBoolean()
  receiptNeeded: boolean = false;
}